Bug 1305263 - Review Request: perl-Text-Fuzzy - Partial string matching using edit distances
Review Request: perl-Text-Fuzzy - Partial string matching using edit distances
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-06 09:17 EST by Denis Fateyev
Modified: 2016-03-06 21:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-26 14:24:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Denis Fateyev 2016-02-06 09:17:46 EST
Spec URL: http://www.fateyev.com/RPMS/Fedora22/perl-Text-Fuzzy.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/perl-Text-Fuzzy-0.24-1.fc24.src.rpm
Description: This module calculates edit distances between words, and searches arrays and files to find the nearest entry by edit distance. It handles both byte strings and character strings (strings containing Unicode), treating each
Unicode character as a single entity.
Fedora Account System Username: dfateyev

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=12895359 (Rawhide)
Also planned to provide in epel7 in the future.
Comment 1 Petr Šabata 2016-02-08 07:25:17 EST
* Missing builddeps: gcc, perl-devel

* I'm not sure $LDFLAGS contains anything; consider using %{?__global_ldflags}.

* Consider packaging the examples directory as %doc.

* Again, you could drop the coreutils build dep if you modify the find calls.

* And again, this module also technically requires Test::More 0.88+.  Don't
  worry about it; I'm just mentioning it for completeness :)
Comment 2 Upstream Release Monitoring 2016-02-08 10:13:13 EST
dfateyev's scratch build of perl-Text-Fuzzy-0.24-2.fc23.denf.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12903164
Comment 3 Denis Fateyev 2016-02-08 10:28:29 EST
(In reply to Petr Šabata from comment #1)
> * Missing builddeps: gcc, perl-devel

Added.

> * I'm not sure $LDFLAGS contains anything; consider using
> %{?__global_ldflags}.

In RHEL7 it contains not much though:
  # rpm -E '%{?__global_ldflags}'
  -Wl,-z,relro

Although the changed version should fit everything:
  export LDFLAGS="%{?__global_ldflags} -Wl,-z,now -Wl,--as-needed"

> * Consider packaging the examples directory as %doc.

Added.

> * And again, this module also technically requires Test::More 0.88+.  Don't
>   worry about it; I'm just mentioning it for completeness :)

Well, since epel7 has 0.98 (and Fedoras even newer) I initially dropped it; but returned back for now.

Updated version:
Spec: http://www.fateyev.com/RPMS/Fedora22/perl-Text-Fuzzy.spec
SRPM: http://www.fateyev.com/RPMS/Fedora22/perl-Text-Fuzzy-0.24-2.fc24.src.rpm
Comment 4 Petr Šabata 2016-02-08 10:41:32 EST
Almost there :)

* Some of the example scripts are executable.
  chmod a-x -c examples/*pl

* rpmlint complains about the script interpreter for them, too.
  perl -pi -e 's|#!.*$|#!/usr/bin/perl|' examples/*pl


I'm going to approve this review now but, please, fix these before building
the package.
Comment 5 Denis Fateyev 2016-02-08 10:50:42 EST
Ok, will do. Thanks for the review.
Comment 6 Upstream Release Monitoring 2016-02-08 12:00:38 EST
dfateyev's scratch build of perl-Text-Fuzzy-0.24-2.fc23.denf.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12903941
Comment 7 Gwyn Ciesla 2016-02-09 12:19:42 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Text-Fuzzy
Comment 8 Fedora Update System 2016-02-17 06:57:44 EST
perl-Text-Fuzzy-0.24-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ec71a6aa0c
Comment 9 Fedora Update System 2016-02-17 06:57:44 EST
perl-Text-Fuzzy-0.24-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b9b25e2bf4
Comment 10 Fedora Update System 2016-02-17 06:57:46 EST
perl-Text-Fuzzy-0.24-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ec71a6aa0c
Comment 11 Fedora Update System 2016-02-17 06:57:48 EST
perl-Text-Fuzzy-0.24-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ec71a6aa0c
Comment 12 Fedora Update System 2016-02-17 06:57:50 EST
perl-Text-Fuzzy-0.24-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ec71a6aa0c
Comment 13 Fedora Update System 2016-02-17 17:31:22 EST
perl-Text-Fuzzy-0.24-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b9b25e2bf4
Comment 14 Fedora Update System 2016-02-21 01:21:47 EST
perl-Text-Fuzzy-0.24-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ec71a6aa0c
Comment 15 Fedora Update System 2016-02-26 14:24:11 EST
perl-Text-Fuzzy-0.24-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-03-06 21:56:33 EST
perl-Text-Fuzzy-0.24-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.